unit test; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  StdCtrls, PrintersDlgs, SynEdit, PDPrinter;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    PrintDialog1: TPrintDialog;
    procedure Button1Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
    ap:TPDPrinter;
  end; 

var
  Form1: TForm1; 

implementation

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
var x:integer;
    y:integer=0;
begin
  randomize;
  PrintDialog1.Execute;
  ap:=TPDPrinter.Create('');
  ap.LineSpacing:=lsSingleSpace;
  ap.MargineBottom:=10;
  ap.MargineLeft:=10;
  ap.MargineRight:=10;
  ap.MargineTop:=10;
  ap.MargineTop:=45;
  ap.Border:=true;
  ap.HeaderFont.Name:='Arial';
  ap.FooterFont.Name:='Arial';
  ap.FooterFont.Size:=20;
  ap.Footer:='Heute ist der {$DATE} und zwar um {$TIME} Uhr!';
  ap.SetFooterFormat('<300');
  ap.HeaderFont.Size:=20;
  ap.Header:='Testheader auf Seite {$PAGE}';
  ap.SetHeaderFormat('<100');
  ap.Font.Size:=6;
  ap.BeginDoc;
  ap.WriteLine('Hallo Welt!');
  ap.WriteLine('Nochmal!');
  ap.WriteLineCenter('Center');
  ap.NewLine;
  ap.WriteLineRight('Und jetzt rechtsbündig!');
  ap.SetTableLineFormat('>70|^70|<70');
  ap.WriteTableLine('Test|Test zum 2.|Test zum 3.');
  ap.WriteTableLine('Zeile:{$LINE}|Seite:{$PAGE}|test');
  ap.Font.Name:='comicdb';
  ap.Font.Size:=10;
  ap.WriteLineCenter('Schriftart:');
  ap.WriteLineCenter('comicdb');
  for x:=8 to 62 do
  begin
    y:=random(30)+5;
    ap.Font.Size:=y;
    ap.WriteLineCenter('Zeile '+inttostr(x)+' in Größe '+inttostr(y));
  end;
  ap.EndDoc;
  ap.Free;
  Application.Terminate;
end;

initialization
  {$I test.lrs}

end.

